<%@ Page Language="C#" Title="Logon" %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="ChooseYourStory.Web.Security" %>
<%@ Register TagPrefix="cys" Namespace="ChooseYourStory.Web.Controls" Assembly="ChooseYourStory" %>

<script runat="server">
	protected override void OnLoad(EventArgs e)
	{
		base.OnLoad(e);
		LoginPlaceholder.Visible = !User.Identity.IsAuthenticated;
		LogoutPlaceholder.Visible = User.Identity.IsAuthenticated;
	}
	private void btnLogOff_Click(object sender, EventArgs e)
	{

		{ //remove from whos online
			Application.Lock();
			
			DataTable users = (DataTable)Application["UsersOnline"];
			if (User.Identity.IsAuthenticated)
			{
				DataRow userRow = users.Rows.Find(User.Identity.Name);
				if (userRow != null) users.Rows.Remove(userRow);
			}
			Application.UnLock();
		}

		ChooseYourStory.Legacy.AspSessionBridge.AbanondonSession();
		Session.Abandon();
		FormsAuthentication.SignOut();
		FormsAuthentication.RedirectToLoginPage();
	}

	private void ctlLogin_OnAuthenticate(object sender, AuthenticateEventArgs e)
	{
		e.Authenticated = Membership.ValidateUser(ctlLogin.UserName, ctlLogin.Password);
		if (e.Authenticated)
		{
			string properUsername = Membership.GetUser(ctlLogin.UserName).UserName;
			FormsAuthentication.SetAuthCookie(properUsername, ctlLogin.RememberMeSet);
			if (!string.IsNullOrEmpty(Request.QueryString["target"]))
				Response.Redirect(Request.QueryString["target"]);
			else
				Response.Redirect(FormsAuthentication.GetRedirectUrl(properUsername, true));
		}
	}
	
</script>

<asp:Content ContentPlaceHolderID="MainContentPlaceHolder" runat="Server">
	<form id="Form1" runat="server">
		<asp:PlaceHolder runat="server" ID="LoginPlaceholder">
			<table width="100%">
				<tr>
					<td valign="top">
						<h1>
							Log On</h1>
						<p>
							Enter your username and password below. If you have not joined yet, then what are
							ya waiting for? Go and <a href="newuser.aspx">Create An Account</a>.</p>
                        <p>If you've forgotten your password, you can <a href="/reset-password">reset your password</a>.</p>
						<asp:Login ID="ctlLogin" runat="server" TitleText="" UserNameLabelText="Username:"
							LoginButtonText="Log Me In!" TextBoxStyle-Width="150" FailureTextStyle-Width="250"
							RememberMeSet="true" OnAuthenticate="ctlLogin_OnAuthenticate" />
					</td>
					<td width="275" valign="top">
						<cys:ThemedImage runat="server" Src="login.gif" Width="275" />
					</td>
				</tr>
			</table>
		</asp:PlaceHolder>
		<asp:PlaceHolder runat="server" ID="LogoutPlaceholder">
			<h1>
				Log Off</h1>
			<p>
				You are currently logged on as <em>
					<asp:LoginName runat="server" />
				</em>
			</p>
			<p>
				<asp:Button runat="server" Text="Log Off" OnClick="btnLogOff_Click" /></p>
		</asp:PlaceHolder>
		<cys:AspPage ID="AspPage1" runat="server" Url="~/Includes/footer.asp" />
	</form>
</asp:Content>
