<%@ Page Language="C#" Title="My Stuff" %>
<%@ Register TagPrefix="cys" Namespace="ChooseYourStory.Web.Controls" Assembly="ChooseYourStory" %>
<%@ Register TagPrefix="cys" Namespace="ChooseYourStory.Web.Controls.WebParts" Assembly="ChooseYourStory" %>
<%@ Import Namespace="System.Data" %>
<%@ Register TagName="MyStoriesWebPart" TagPrefix="cys" Src="WebParts/MyStoriesWebPart.ascx" %>
<%@ Register TagName="MyCommentsWebPart" TagPrefix="cys" Src="WebParts/MyCommentsWebPart.ascx" %>
<%@ Register TagName="MyRatingsSummaryWebPart" TagPrefix="cys" Src="WebParts/MyRatingsSummaryWebPart.ascx" %>
<%@ Register TagName="MyPrivateMessageSummaryWebPart" TagPrefix="cys" Src="WebParts/MyPrivateMessageSummaryWebPart.ascx" %>
<script runat="server">

	void btnResetToDefault_Click(object sender, EventArgs e)
	{
		wpManager.Personalization.ResetPersonalizationState();
	}
	void SwitchModes_Click(object sender, EventArgs e) 
	{
		divEditorPlaceholder.Visible = false;
		
		if (sender == btnEditMode)
		{
			tdCatalogZoneHolder.Visible = true;
			wpManager.DisplayMode = WebPartManager.DesignDisplayMode;
			btnEditMode.Visible = false;
			btnNormalMode.Visible = true;
		}
		if (sender == btnNormalMode)
		{
			tdCatalogZoneHolder.Visible = false;
			wpManager.DisplayMode = WebPartManager.BrowseDisplayMode;
			btnEditMode.Visible = true;
			btnNormalMode.Visible = false;			
		}
		if (sender == btnAddItems)
		{
			wpManager.DisplayMode = WebPartManager.CatalogDisplayMode;
		}
		if (sender == btnEditItems)
		{
			wpManager.DisplayMode = WebPartManager.EditDisplayMode;
			divEditorPlaceholder.Visible = true;
		}
	}

	protected override void OnInitComplete(EventArgs e)
	{
		base.OnInitComplete(e);
		
		//EDITOR LABELS
		foreach (WebPartZone zone in wpManager.Zones)
		{
			foreach (WebPart part in zone.WebParts)
			{
				LinkButton link = new LinkButton();
				link.Style.Add(HtmlTextWriterStyle.Display, "block");
				link.Style.Add(HtmlTextWriterStyle.MarginLeft, "10px");
				link.Style.Add(HtmlTextWriterStyle.MarginTop, "10px");
				link.CssClass = "smallerText";
				link.Text = "&bull; " + part.Title + " (" + zone.HeaderText + ")";
				link.Click += new EventHandler(lnkSelectWebPartToEdit_Click);
				link.CommandArgument = part.ID;
				ctlWebPartToEditList.Controls.Add(link);
			}
		}
	}

	void lnkSelectWebPartToEdit_Click(object sender, EventArgs e)
	{
		LinkButton btn = (LinkButton) sender;
		foreach (WebPartZone zone in wpManager.Zones)
		{
			foreach (WebPart part in zone.WebParts)
			{
				if (part.ID == btn.CommandArgument)
				{
					wpManager.ForceSelectedWebPart(part);
				}
			}
		}		
	}

	protected override void OnPreRender(EventArgs e)
	{
		base.OnPreRender(e);
		ctlEditorInstructionsPlaceHolder.Visible = (wpManager.SelectedWebPart == null);
		ctlEditorHeaderPlaceHolder.Visible = !ctlEditorInstructionsPlaceHolder.Visible;

		if (wpManager.SelectedWebPart != null)
			ctlEditorHeaderCurrentControlLabel.Text =
        wpManager.SelectedWebPart.Title + " (" + wpManager.SelectedWebPart.Zone.HeaderText + ")";		
	}

	
</script>
<asp:Content ContentPlaceHolderID="MainContentPlaceHolder" Runat="Server">
    <form runat="server">
		<cys:CysWebPartManager runat="server" ID="wpManager" />
		<script language="javascript" type="text/javascript">
			//hack to allow styling on menu items
			function WebPartMenu_Show() {
					if (__wpm.menu != null) {
							__wpm.menu.Hide();
					}

					var imgs = this.menuElement.getElementsByTagName("img");
					var loop_safety = 0;
					while (imgs.length > 0 && loop_safety < 1000) { imgs[0].parentNode.removeChild(imgs[0]); loop_safety ++; }
					
					var menuHTML =
							"<html><head><style>" +
							"a.menuItem, a.menuItem:Link { display: block; padding: 1px; text-decoration: none; " + this.itemStyle + " }" +
							"a.menuItem:Hover { " + this.itemHoverStyle + " }" +
							"</style>" +
							'<link href="<%=Page.ResolveUrl("~/App_Themes/" + Page.Theme)%>/Styles.css" type="text/css" rel="stylesheet" />' +
							"<body class=\"mystuff_menupopup\" scroll=\"no\" style=\"margin: 0; padding: 2px;\" ondragstart=\"window.event.returnValue=false;\" onclick=\"popup.hide()\">" +
							this.menuElement.innerHTML +
							"<body></html>";
				
					var width = 16;
					var height = 16;
					this.popup = window.createPopup();
					__wpm.menu = this;
					var popupDocument = this.popup.document;
					popupDocument.write(menuHTML);
					this.popup.show(0, 0, width, height);
					var popupBody = popupDocument.body;
					width = popupBody.scrollWidth;
					height = popupBody.scrollHeight;
					if (width < this.menuLabelElement.offsetWidth) {
							width = this.menuLabelElement.offsetWidth + 16;
					}
					if (this.menuElement.innerHTML.indexOf("progid:DXImageTransform.Microsoft.Shadow") != -1) {
							popupBody.style.paddingRight = "4px";
					}
					popupBody.__wpm = __wpm;
					popupBody.__wpmDeleteWarning = __wpmDeleteWarning;
					popupBody.__wpmCloseProviderWarning = __wpmCloseProviderWarning;
					popupBody.popup = this.popup;
					this.popup.hide();
					this.popup.show(0 - width, this.menuLabelElement.offsetHeight, width, height, this.menuLabelElement);
			}
		</script>	
		<table border="0" cellpadding="0" width="100%" cellspacing="0">
			<tr>
				<td><h1>My Stuff</h1></td>
				<td align="right">
					<div>
						<asp:LinkButton runat="server" ID="btnEditMode" OnClick="SwitchModes_Click" Text="[switch to edit view]" />
						<asp:LinkButton runat="server" ID="btnNormalMode" OnClick="SwitchModes_Click" Text="[switch to normal view]" Visible="false" />
					</div>
				</td>
			</tr>
		</table>
		<table border="0" cellpadding="0" cellspacing="0" width="100%">
			<tr>
				<td>
					<table border="0" cellpadding="5" cellspacing="0" width="100%">
								<tr>
									<td colspan="2">
										<asp:WebPartZone runat="server" ID="wpzHeader" HeaderText="Top" Width="100%" DeleteVerb-Enabled="true">
											<ZoneTemplate>
                                                <cys:MyStoriesWebPart ID="ucMyStoriesWebPart" runat="server" />
                                            </ZoneTemplate>
											<CloseVerb Enabled="False" Visible="False" />
											<PartChromeStyle CssClass="mystuff_webpartchrome" BorderStyle="none"/>
											<PartTitleStyle CssClass="mystuff_webparttitle" />
										</asp:WebPartZone>
									</td>
								</tr>
								<tr>
									<td valign="top"><asp:WebPartZone runat="server" ID="wpzLeft" HeaderText="Left" Width="100%">
                                        <CloseVerb Enabled="False" Visible="False" />
                                        <PartChromeStyle CssClass="mystuff_webpartchrome" BorderStyle="none"/><PartTitleStyle CssClass="mystuff_webparttitle" /></asp:WebPartZone></td>
									<td valign="top"><asp:WebPartZone runat="server" ID="wpzRight" HeaderText="Right" Width="100%">
                                        <CloseVerb Enabled="False" Visible="False" />
                                        <PartChromeStyle CssClass="mystuff_webpartchrome" BorderStyle="none"/><PartTitleStyle CssClass="mystuff_webparttitle" /></asp:WebPartZone></td>
								</tr>
								<tr>
									<td colspan="2">
										<asp:WebPartZone runat="server" ID="wpzFooter" HeaderText="Bottom" PartChromeType="TitleAndBorder" Width="100%">
											<CloseVerb Enabled="False" Visible="False" />
											<PartChromeStyle CssClass="mystuff_webpartchrome" BorderStyle="none"/>
											<PartTitleStyle CssClass="mystuff_webparttitle" />
										</asp:WebPartZone>
									</td>
								</tr>
							</table>				
				</td>
				<td id="tdCatalogZoneHolder" runat="server" valign="top" width="200" visible="false" style="padding:10px;">
					<div class="back4Background dark1border" 
						style="width:auto;border-width:1px; border-style:dashed; padding: 3px;margin-top:15px;">
						
						<div class="lite1border back1Background" style="border-width:1px; border-style:solid;font-size:xx-small;font-weight:bold; padding:3px;width:100%; margin-bottom:5px;">
							<asp:LinkButton runat="server" Text="Add Items to MyStuff" OnClick="SwitchModes_Click" ID="btnAddItems" />
						</div>
						<asp:CatalogZone runat="server" ID="wpCatalogZone" 
							HeaderText="" HeaderCloseVerb-Text="" 
							InstructionText="Select the type of part you'd like to add from the list below."
							InstructionTextStyle-CssClass="smallerText"
							CloseVerb-Visible="false" >
							<ZoneTemplate>
								<asp:DeclarativeCatalogPart runat="server" ID="wpDeclarativeCatalogPart" Title="Additional Items"  ChromeType="None">
									<WebPartsTemplate>
                                        <cys:MyStoriesWebPart runat="server" ID="ucMyStoriesWebPart" />
										<cys:MyCommentsWebPart runat="server" id="ucMyComments" />
										<cys:MyCysidWebPart runat="server" ID="ucMyCysid" />
										<cys:MyRatingsSummaryWebPart runat="server" id="ucMyRatingsSummaryWebPart" />
										<cys:MyPrivateMessageSummaryWebPart runat="server" ID="ucMyPrivateMessageSummaryWebPart" />
										<cys:MyForumsActivityWebPart runat="server" ID="ucMyForumsActivityWebPart" />
									</WebPartsTemplate>
								</asp:DeclarativeCatalogPart>
							</ZoneTemplate>
						</asp:CatalogZone>
						
						<div class="lite1border back1Background" style="border-width:1px; border-style:solid;font-size:xx-small;font-weight:bold; padding:3px;width:100%; margin-bottom:5px;">
							<asp:LinkButton runat="server" Text="Customize Items On This Page" OnClick="SwitchModes_Click" ID="btnEditItems" />
						</div>
						<div style="margin-bottom:10px;" runat="server" id="divEditorPlaceholder" visible="false">
							<asp:PlaceHolder runat="server" ID="ctlEditorInstructionsPlaceHolder">
								<p class="smallerText">Select a part to customize from the list below.</p>
								<asp:PlaceHolder runat="server" ID="ctlWebPartToEditList" />
							</asp:PlaceHolder>
							<asp:PlaceHolder runat="server" ID="ctlEditorHeaderPlaceHolder">
								<h2>Editing <asp:Literal runat="server" ID="ctlEditorHeaderCurrentControlLabel" /></h2>
							</asp:PlaceHolder>
							<asp:EditorZone runat="server" ID="wpEditorZone"
								 InstructionText="" HeaderText="" HeaderCloseVerb-Visible="false" PartChromeType="none">
								 <ZoneTemplate>
									<cys:CysAppearanceEditorPart runat="server" ID="ctlCysAppearanceEditorPart"
										ShowChromeType="false"
										ShowDirection="false"
										ShowHidden="false"
										/>
								 </ZoneTemplate>
							</asp:EditorZone>
						</div>
							 
						<div class="lite1border back1Background" style="border-width:1px; border-style:solid;font-size:xx-small;font-weight:bold; padding:3px;width:100%; margin-bottom:5px;">
							<asp:LinkButton runat="server" Text="Reset to Default" OnClick="btnResetToDefault_Click" ID="btnResetToDefault" OnClientClick="return (confirm('Are you sure you want to reset your customizations to their default values?'));" />
						</div>
						
					</div>
				</td>
			</tr>
		</table>
		
	</form>
	
</asp:Content>
