<%@ Control Language="C#" ClassName="MyStories" AutoEventWireup="True" %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>
<%@ Import Namespace="ChooseYourStory.Utilities" %>
<%@ Import Namespace="ChooseYourStory.Categories" %>
<%@ Import Namespace="ChooseYourStory.Stories.Rating" %>
<%@ Register TagPrefix="cys" Namespace="ChooseYourStory.Web.Controls" Assembly="ChooseYourStory" %>
<script runat="server" language="C#">
    protected DataTable StoriesTable = new DataTable();

    public Unit Width
    {
        get { return StoriesGridView.Width; }
        set { StoriesGridView.Width = value; }
    }

    public bool ShowHeader
    {
        get { return StoriesGridView.ShowHeader; }
        set { StoriesGridView.ShowHeader = value; }
    }

    protected void Page_Load(object sender, EventArgs e)
    {
        using (SqlCommand cmd = new SqlCommand())
        {
            cmd.Connection = new SqlConnection(ConfigurationManager.ConnectionStrings["ChooseYourStory"].ConnectionString);

            cmd.CommandText = "User_GetMyStories";
            cmd.CommandType = CommandType.StoredProcedure;
            cmd.Parameters.Add("@Username", SqlDbType.VarChar, 30).Value = Page.User.Identity.Name;
            cmd.Parameters.Add("@SortExpression", SqlDbType.VarChar, 50).Value = Profile.My_Stories.SortExpression;
            cmd.Parameters.Add("@SortDirection", SqlDbType.VarChar, 4).Value = Profile.My_Stories.SortDirection;

            try
            {
                cmd.Connection.Open();
                StoriesTable.Load(cmd.ExecuteReader());
            }
            finally
            {
                cmd.Connection.Close();
            }
        }

        //finally bind
        DataBind();
    }

    #region Gridview Handlers
    protected void StoriesGridView_Sorting(Object sender, GridViewSortEventArgs e)
    {
        if (Profile.My_Stories.SortExpression == e.SortExpression)
        {
            Profile.My_Stories.SortDirection =
          (Profile.My_Stories.SortDirection == "ASC") ? "DESC" : "ASC";
        }
        else
        {
            Profile.My_Stories.SortExpression = e.SortExpression;
            Profile.My_Stories.SortDirection = "ASC";
        }

        Profile.Save();
    }
    #endregion
</script>
<input style="margin-bottom: 0.5rem; margin-top: 0.5rem;" type="button" value="Create A New Storygame" onclick="location = '../newgame.aspx'">
<asp:GridView
    ID="StoriesGridView" runat="server" DataSource="<%# StoriesTable %>"
    AllowPaging="False" AllowSorting="True" AutoGenerateColumns="False"
    PageSize="25"
    OnSorting="StoriesGridView_Sorting"
    BorderWidth="0px" CellPadding="3"
    PagerSettings-Mode="Numeric"
    PagerSettings-Position="TopAndBottom"
    PagerStyle-HorizontalAlign="right"
    PagerSettings-Visible="false"
    GridLines="None">
    <Columns>
        <asp:TemplateField HeaderText="Title" SortExpression="Story_Title"
            HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="dark1borderTop1pxSolid"
            HeaderStyle-CssClass="inverse1" HeaderStyle-ForeColor="#FFFFFF">
            <ItemTemplate>
                <cys:ThemedImage runat="server" Src="star.gif"
                    Height="14" Width="14"
                    Visible='<%# "Y".Equals(Eval("Featured_Indicator")) %>' Alt="Featured Story" />
                <asp:HyperLink runat="server"
                    ToolTip='<%#Formatting.StripHtml(Eval("Story_Description").ToString())%>'
                    Text='<%#Eval("Story_Title")%>'
                    NavigateUrl='<%# string.Format("~/story/{0}.aspx", ChooseYourStory.Utilities.UrlEncoding.Encode((string)Eval("Story_Title")))  %>' />
            </ItemTemplate>
        </asp:TemplateField>
        <asp:TemplateField HeaderText="CoAuth" SortExpression="CoAuthor_Indicator"
            HeaderStyle-HorizontalAlign="Center" ItemStyle-CssClass="dark1borderTop1pxSolid"
            HeaderStyle-CssClass="inverse1" HeaderStyle-ForeColor="#FFFFFF"
            ItemStyle-Wrap="false" ItemStyle-HorizontalAlign="Center">
            <ItemTemplate>
                <asp:PlaceHolder runat="server" Visible='<%#"Y".Equals(Eval("CoAuthor_Indicator"))%>'>
                    <cys:ThemedImage runat="Server"
                        Src="checkmark.gif" Height="14" Width="14"
                        Alt="You're a coauthor"
                        Visible='<%#"Y".Equals(Eval("CoAuthor_Indicator"))%>' />
                </asp:PlaceHolder>
                <asp:PlaceHolder runat="server" Visible='<%#"N".Equals(Eval("CoAuthor_Indicator"))%>'>
                  <span class="smallerText">&mdash;</span>
                </asp:PlaceHolder>
            </ItemTemplate>
        </asp:TemplateField>
        <asp:TemplateField HeaderText="Published" SortExpression="Published_Indicator"
            HeaderStyle-HorizontalAlign="Center" ItemStyle-CssClass="dark1borderTop1pxSolid"
            HeaderStyle-CssClass="inverse1" HeaderStyle-ForeColor="#FFFFFF"
            ItemStyle-Wrap="false" ItemStyle-HorizontalAlign="Center">
            <ItemTemplate>
              <span class="smallerText">
                <%#(Eval("Published_Date") == DBNull.Value) ? "&mdash;" : ((DateTime)Eval("Published_Date")).ToShortDateString()%>
              </span>
            </ItemTemplate>
        </asp:TemplateField>
        <asp:TemplateField HeaderText="Options"
            HeaderStyle-HorizontalAlign="Right" ItemStyle-CssClass="dark1borderTop1pxSolid"
            HeaderStyle-CssClass="inverse1" HeaderStyle-ForeColor="#FFFFFF"
            ItemStyle-Wrap="false" ItemStyle-HorizontalAlign="Right">
            <ItemTemplate>
                <span class="smallerText">
                    <asp:PlaceHolder runat="server" Visible='<%#"Y".Equals(Eval("Published_Indicator"))&&"N".Equals(Eval("CoAuthor_Indicator"))%>'>
                        <a href="publisher/unpublish.aspx?<%#Eval("Story_Id")%>">[un-publish]</a>
                    </asp:PlaceHolder>
                    <asp:PlaceHolder runat="server" Visible='<%#"N".Equals(Eval("Published_Indicator"))%>'>
                        <a href="adveditor/default.aspx?<%#Eval("Story_Id")%>">[edit]</a>
                    </asp:PlaceHolder>
                    <asp:PlaceHolder runat="server" Visible='<%#"N".Equals(Eval("CoAuthor_Indicator"))&&"N".Equals(Eval("Published_Indicator"))%>'>
                        <a href="publisher/?<%#Eval("Story_Id")%>">[publish]</a>
                        <a href="deleteGame.aspx?<%#Eval("Story_Id")%>">[delete]</a>
                    </asp:PlaceHolder>
                    <asp:PlaceHolder runat="server" Visible='<%#"Y".Equals(Eval("CoAuthor_Indicator"))%>'>
                        <a href="games.asp?removeCoauthor=<%#Eval("Story_Id")%>" onclick="return (confirm('Are you sure? You will have to ask the author to add you again.'))">[remove self as coauthor]</a>
                    </asp:PlaceHolder>
                </span>
            </ItemTemplate>
        </asp:TemplateField>
    </Columns>
</asp:GridView>