<%@ Control Language="C#" ClassName="SecondaryNavigation" %>
<%@ Import Namespace="System.Collections.Generic" %>
<%@ Import Namespace="ChooseYourStory.Stories.Editing" %>
<%@ Import Namespace="ChooseYourStory.Stories.Editing.Advanced" %>


<script runat="server">

    private string _Selected;
    public string Selected
    {
        get { return _Selected; }
        set { _Selected = value; }
    }

    private int _StoryId = int.MinValue;
    public int StoryId
    {
        get
        {
            if (_StoryId == int.MinValue)
            {
                if (!int.TryParse(Request.Url.Query.TrimStart('?'), out _StoryId))
                {
                    _StoryId = 0;
                }
            }
            return _StoryId;
        }
        set { _StoryId = value; }
    }



    public event EventHandler BeforeNavigate;

    List<LinkButton> links;

    LinkButton CreateLinkButton(string Text, string CommandName)
    {
        LinkButton btn = new LinkButton();
        btn.Text = Text;
        btn.CommandName = CommandName;
        btn.Click += new EventHandler(btn_Click);
        if (CommandName == Selected)
        {
            btn.Style.Add(HtmlTextWriterStyle.FontWeight, "bold");
        }
        return btn;
    }

    void btn_Click(object sender, EventArgs e)
    {
        if (BeforeNavigate != null) BeforeNavigate(sender, e);

        string cmdName = ((LinkButton)sender).CommandName;
        switch (cmdName)
        {
            case "exit":
                Response.Redirect("../");
                break;
            case "preview":
                Response.Write("<script type='text/javascript'>window.open('/story/viewer/default.aspx?StoryId=" + StoryId + "', 'preview', 'height=600,width=737,directories=no,location=no,resizable=yes,menubar=no,toolbar=no,scrollbars=yes');" + String.Concat("</", "script>"));
                break;
            default:
                Response.Redirect(cmdName + ".aspx" + Request.Url.Query);
                break;
        }
    }

    protected override void CreateChildControls()
    {
        EditorOptions options = new EditorOptions();
        if (StoryId > 0) options = EditorHelper.GetEditorOptions(StoryId, Page.User.Identity.Name);

        links = new List<LinkButton>();
        links.Add(CreateLinkButton("Storygame Properties", "properties"));
        links.Add(CreateLinkButton("Items", "items"));
        if (options.VariableLevel != EditorOptions.VariableLevels.Disabled)
            links.Add(CreateLinkButton("Variables", "variables"));
        if (options.ScriptingLevel != EditorOptions.ScriptingLevels.Disabled)
            links.Add(CreateLinkButton("Scripts", "scripts"));
        links.Add(CreateLinkButton("Chapters & Pages", "chapters"));
        links.Add(CreateLinkButton("Preview", "preview"));
        links.Add(CreateLinkButton("Save & Exit", "exit"));

        string sep = string.Empty;
        foreach (LinkButton link in links)
        {
            Controls.Add(new LiteralControl(sep));
            Controls.Add(link);
            sep = " / ";
        }
    }
</script>